#2999 closed defect (wontfix)

sb-check on Cygwin

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: tool/rsb Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

It looks like there are two issues in windows.py

  • Probes for programs like bison and flex as required.
  • tar - bsdtar must be on mingw. It doesn't appear to exist on cygwin.

I think the fix is pretty simple code-wise but I wanted to get some feedback on why there were a lot more required programs in this file than on other OS.py files.

Change History (4)

comment:1 in reply to:  description Changed on Apr 18, 2017 at 11:43:22 PM by Chris Johns

Replying to Joel Sherrill:

It looks like there are two issues in windows.py

  • Probes for programs like bison and flex as required.
  • tar - bsdtar must be on mingw. It doesn't appear to exist on cygwin.

Correct. Getting a suitable bug free tar on Windows is not as easy as it looks.

I have no interest in supporting Cygwin. In the past it has never been able to complete a build of the tools in a reliable way while MSYS2 does. Cygwin complicates the Windows environment, machine set up, documentation and what user's should use.

I do not want to run parallel MSYS2 and Cygiwn environments to check both are working. I have supported Cygwin the past and found it a major effort and distraction.

I think the new Microsoft Unix layer, what ever that is called, is a better path for us to follow.

I think the fix is pretty simple code-wise

If you wish to support Cygwin then I ask you test all changes to this file on MSYS2 as this is the primary set up for Windows.

but I wanted to get some feedback on why there were a lot more required programs in this file than on other OS.py files.

Typically a default entry is overridden by creating an entry in the host's OS file. Entries are overridden if the paths do not match.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Oct 12, 2017 at 12:16:16 AM by Joel Sherrill

Resolution: wontfix
Status: newclosed

Some patches for Cygwin support were merged. Other issues were solved by installing more tools.

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.